Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.meta
Class OdfDocumentStatisticElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.meta.OdfDocumentStatisticElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDocumentStatistic

    public abstract class OdfDocumentStatisticElement

extends OdfElement

DOM implementation of OpenDocument element meta:document-statistic.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDocumentStatisticElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDocumentStatisticElement

Method Summary
`OdfNonNegativeInteger` | `getCellCount()` Get value of attribute meta:cell-count.
`OdfNonNegativeInteger` | `getCharacterCount()` Get value of attribute meta:character-count.
`OdfNonNegativeInteger` | `getDrawCount()` Get value of attribute meta:draw-count.
`OdfNonNegativeInteger` | `getFrameCount()` Get value of attribute meta:frame-count.
`OdfNonNegativeInteger` | `getImageCount()` Get value of attribute meta:image-count.
`OdfNonNegativeInteger` | `getNonWhitespaceCharacterCount()` Get value of attribute meta:non-whitespace-character-count.
`OdfNonNegativeInteger` | `getObjectCount()` Get value of attribute meta:object-count.
`OdfName` | `getOdfName()` Get the element name
`OdfNonNegativeInteger` | `getOleObjectCount()` Get value of attribute meta:ole-object-count.
`OdfNonNegativeInteger` | `getPageCount()` Get value of attribute meta:page-count.
`OdfNonNegativeInteger` | `getParagraphCount()` Get value of attribute meta:paragraph-count.
`OdfNonNegativeInteger` | `getRowCount()` Get value of attribute meta:row-count.
`OdfNonNegativeInteger` | `getSentenceCount()` Get value of attribute meta:sentence-count.
`OdfNonNegativeInteger` | `getSyllableCount()` Get value of attribute meta:syllable-count.
`OdfNonNegativeInteger` | `getTableCount()` Get value of attribute meta:table-count.
`OdfNonNegativeInteger` | `getWordCount()` Get value of attribute meta:word-count.
`void` | `setCellCount(OdfNonNegativeInteger cellCount)` Set value of attribute meta:cell-count.
`void` | `setCharacterCount(OdfNonNegativeInteger characterCount)` Set value of attribute meta:character-count.
`void` | `setDrawCount(OdfNonNegativeInteger drawCount)` Set value of attribute meta:draw-count.
`void` | `setFrameCount(OdfNonNegativeInteger frameCount)` Set value of attribute meta:frame-count.
`void` | `setImageCount(OdfNonNegativeInteger imageCount)` Set value of attribute meta:image-count.
`void` | `setNonWhitespaceCharacterCount(OdfNonNegativeInteger nonWhitespaceCharacterCount)` Set value of attribute meta:non-whitespace-character-count.
`void` | `setObjectCount(OdfNonNegativeInteger objectCount)` Set value of attribute meta:object-count.
`void` | `setOleObjectCount(OdfNonNegativeInteger oleObjectCount)` Set value of attribute meta:ole-object-count.
`void` | `setPageCount(OdfNonNegativeInteger pageCount)` Set value of attribute meta:page-count.
`void` | `setParagraphCount(OdfNonNegativeInteger paragraphCount)` Set value of attribute meta:paragraph-count.
`void` | `setRowCount(OdfNonNegativeInteger rowCount)` Set value of attribute meta:row-count.
`void` | `setSentenceCount(OdfNonNegativeInteger sentenceCount)` Set value of attribute meta:sentence-count.
`void` | `setSyllableCount(OdfNonNegativeInteger syllableCount)` Set value of attribute meta:syllable-count.
`void` | `setTableCount(OdfNonNegativeInteger tableCount)` Set value of attribute meta:table-count.
`void` | `setWordCount(OdfNonNegativeInteger wordCount)` Set value of attribute meta:word-count.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDocumentStatisticElement

    public OdfDocumentStatisticElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDocumentStatisticElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element meta:document-statistic.

### getPageCount

    public OdfNonNegativeInteger getPageCount()

  Get value of attribute meta:page-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setPageCount

    public void setPageCount(OdfNonNegativeInteger pageCount)

  Set value of attribute meta:page-count.

  Parameters:
    `pageCount` - the attribute's type is OdfNonNegativeInteger

### getTableCount

    public OdfNonNegativeInteger getTableCount()

  Get value of attribute meta:table-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setTableCount

    public void setTableCount(OdfNonNegativeInteger tableCount)

  Set value of attribute meta:table-count.

  Parameters:
    `tableCount` - the attribute's type is OdfNonNegativeInteger

### getDrawCount

    public OdfNonNegativeInteger getDrawCount()

  Get value of attribute meta:draw-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setDrawCount

    public void setDrawCount(OdfNonNegativeInteger drawCount)

  Set value of attribute meta:draw-count.

  Parameters:
    `drawCount` - the attribute's type is OdfNonNegativeInteger

### getImageCount

    public OdfNonNegativeInteger getImageCount()

  Get value of attribute meta:image-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setImageCount

    public void setImageCount(OdfNonNegativeInteger imageCount)

  Set value of attribute meta:image-count.

  Parameters:
    `imageCount` - the attribute's type is OdfNonNegativeInteger

### getOleObjectCount

    public OdfNonNegativeInteger getOleObjectCount()

  Get value of attribute meta:ole-object-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setOleObjectCount

    public void setOleObjectCount(OdfNonNegativeInteger oleObjectCount)

  Set value of attribute meta:ole-object-count.

  Parameters:
    `oleObjectCount` - the attribute's type is OdfNonNegativeInteger

### getObjectCount

    public OdfNonNegativeInteger getObjectCount()

  Get value of attribute meta:object-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setObjectCount

    public void setObjectCount(OdfNonNegativeInteger objectCount)

  Set value of attribute meta:object-count.

  Parameters:
    `objectCount` - the attribute's type is OdfNonNegativeInteger

### getParagraphCount

    public OdfNonNegativeInteger getParagraphCount()

  Get value of attribute meta:paragraph-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setParagraphCount

    public void setParagraphCount(OdfNonNegativeInteger paragraphCount)

  Set value of attribute meta:paragraph-count.

  Parameters:
    `paragraphCount` - the attribute's type is OdfNonNegativeInteger

### getWordCount

    public OdfNonNegativeInteger getWordCount()

  Get value of attribute meta:word-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setWordCount

    public void setWordCount(OdfNonNegativeInteger wordCount)

  Set value of attribute meta:word-count.

  Parameters:
    `wordCount` - the attribute's type is OdfNonNegativeInteger

### getCharacterCount

    public OdfNonNegativeInteger getCharacterCount()

  Get value of attribute meta:character-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setCharacterCount

    public void setCharacterCount(OdfNonNegativeInteger characterCount)

  Set value of attribute meta:character-count.

  Parameters:
    `characterCount` - the attribute's type is OdfNonNegativeInteger

### getFrameCount

    public OdfNonNegativeInteger getFrameCount()

  Get value of attribute meta:frame-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setFrameCount

    public void setFrameCount(OdfNonNegativeInteger frameCount)

  Set value of attribute meta:frame-count.

  Parameters:
    `frameCount` - the attribute's type is OdfNonNegativeInteger

### getSentenceCount

    public OdfNonNegativeInteger getSentenceCount()

  Get value of attribute meta:sentence-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setSentenceCount

    public void setSentenceCount(OdfNonNegativeInteger sentenceCount)

  Set value of attribute meta:sentence-count.

  Parameters:
    `sentenceCount` - the attribute's type is OdfNonNegativeInteger

### getSyllableCount

    public OdfNonNegativeInteger getSyllableCount()

  Get value of attribute meta:syllable-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setSyllableCount

    public void setSyllableCount(OdfNonNegativeInteger syllableCount)

  Set value of attribute meta:syllable-count.

  Parameters:
    `syllableCount` - the attribute's type is OdfNonNegativeInteger

### getNonWhitespaceCharacterCount

    public OdfNonNegativeInteger getNonWhitespaceCharacterCount()

  Get value of attribute meta:non-whitespace-character-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setNonWhitespaceCharacterCount

    public void setNonWhitespaceCharacterCount(OdfNonNegativeInteger nonWhitespaceCharacterCount)

  Set value of attribute meta:non-whitespace-character-count.

  Parameters:
    `nonWhitespaceCharacterCount` - the attribute's type is OdfNonNegativeInteger

### getRowCount

    public OdfNonNegativeInteger getRowCount()

  Get value of attribute meta:row-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setRowCount

    public void setRowCount(OdfNonNegativeInteger rowCount)

  Set value of attribute meta:row-count.

  Parameters:
    `rowCount` - the attribute's type is OdfNonNegativeInteger

### getCellCount

    public OdfNonNegativeInteger getCellCount()

  Get value of attribute meta:cell-count.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setCellCount

    public void setCellCount(OdfNonNegativeInteger cellCount)

  Set value of attribute meta:cell-count.

  Parameters:
    `cellCount` - the attribute's type is OdfNonNegativeInteger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.